<?php
namespace Satoko;

use Illuminate\Database\Capsule\Manager;

/**
 * Extensions to the Illuminate (Laravel) database.
 *
 * @package Satoko
 * @author Julian van de Groep <me@flash.moe>
 */
class DB extends Manager
{
    /**
     * Set the database connection up.
     *
     * @param array $config Configuration array according to the Laravel documentation.
     */
    public static function setup($config)
    {
        // Create a new database capsule
        $capsule = new Manager;

        // Add the connection
        $capsule->addConnection($config);

        // Make the capsule globally accessible
        $capsule->setAsGlobal();
    }
}
